
Summary:	Plugin for the Xfce panel
Summary(de):	Erweiterung für das Xfce-Panel
Name:		xfce4-xfapplet-plugin
Version:	0.1.0
Release:	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-xfapplet-plugin
Source0:	http://goodies.xfce.org/_media/projects/panel-plugins/%{name}-%{version}.tar.xz
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
BuildRequires:	xfce4-panel-devel >= 4.4.2
BuildRequires:	%{_lib}panel-applet-2-devel 
BuildRequires:	%{_lib}xfcegui4-devel >= 4.4.2
Obsoletes:	xfce-xfapplet-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-builfroot
Obsoletes:	%name < %version


%description
XfApplet is a plugin for the Xfce panel. The plugin itself has no special
functionallity, its only purpose is to enable one to use Gnome applets inside
the Xfce 4 panel just as they are used inside the Gnome panel.

%description -l de
Die Erweiterung hat keine besondere Funktion, der einzige Nutzen ist die
Fähigkeit zum Ausführen von Gnome-Applets im Xfce4-Panel, so wie sie
im Gnome-Panel genutzt werden.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%dir %{_datadir}/%{name}
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/pixmaps/*.svg
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/xfce4-xfapplet-plugin
%{_datadir}/locale/*


%changelog
* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.1.0-5pclos2012
- process

* Thu Aug 30 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.1.0-5pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.1.0-4pclos2012
- rebuild

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.1.0-3pclos2011
- updated for xfce4.8

* Sat Nov 13 2010 Sproggy <desproggster@gmail.com> 0.1.0-2pclos2010
- update xfce4.8pre1

* Thu Oct 08 2009 Neal <nealbrks0@gmail.com> 
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 
- create
